Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 823331 - Review Request: rubygem-mixlib-authentication - Ruby class-based header signing authentication object
Summary: Review Request: rubygem-mixlib-authentication - Ruby class-based header signi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Stribny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 823332
Blocks: 823344 823352
TreeView+ depends on / blocked
 
Reported: 2012-05-20 23:38 UTC by Jonas Courteau
Modified: 2016-01-04 05:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-02 04:18:08 UTC
jstribny: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jonas Courteau 2012-05-20 23:38:03 UTC
Spec URL: https://raw.github.com/jcourteau/rubygems-rpms/master/fc17/rubygem-mixlib-authentication/rubygem-mixlib-authentication.spec
SRPM URL:  http://rpms.courteau.org/fedora/rubygem-mixlib-authentication-1.1.4-1.fc17.src.rpm
Patches: https://raw.github.com/jcourteau/rubygems-rpms/master/fc17/rubygem-mixlib-authentication/rubygem-mixlib-authentication-1.1.4-spec.patch

Depends on another package I've submitted - rubygem-mixlib-log

a Ruby class-based header signing authentication object.

This is part of a set of dependencies for rubygem-chef (see my other tickets for the rest).  I've got about 14 packages to add, all ruby gems, and am looking for a sponsor.  Several of the packages were previously in Fedora (F11 and F12), but were removed due to lack of a maintainer.

Comment 1 Josef Stribny 2012-12-14 13:30:05 UTC
* There is a newer upstream version that most likely does not need patching [1]

* Requires: ruby should be dropped to support more implementations of Ruby in f19

* Please consider moving specs into the -doc subpackage rather than exclude them

* README.rdoc and NOTICE could be part of the -doc subpackage as they are not 
  needed at runtime and marked as %doc

* I would suggest you to exclude %{gem_cache} as it's not needed

Because this gem requires rubygem-mixlib-log, I am adding related depends on.

@Julian C. Dunn: I am adding you to CC, because you showed interest in packing rubygem-chef (#823352).

Comment 2 Josef Stribny 2012-12-14 13:31:46 UTC
I am sorry, I forgot the link:

[1] http://rubygems.org/gems/mixlib-authentication/versions/1.3.0

Comment 4 Josef Stribny 2013-01-17 16:19:24 UTC
* Don't use %exclude on files you are listing in subpackages
  - Delete %exclude %{gem_instdir}/spec

* README.rdoc and NOTICE should be marked as %doc

Otherwise the spec file looks good, it builds in Koji and rpmlint gives me no errors so I am APPROVING it. Please fix issues above before pushing.

Comment 5 Julian C. Dunn 2013-01-17 16:57:48 UTC
New Package SCM Request
=======================
Package Name: rubygem-mixlib-authentication
Short Description: Ruby class-based header signing authentication object
Owners: jdunn
Branches: f17 f18 el6
InitialCC:

Comment 6 Gwyn Ciesla 2013-01-17 17:19:57 UTC
Unretired, submit a Package Change request for new branches.

Comment 7 Julian C. Dunn 2013-01-17 17:34:21 UTC
Package Change Request
======================
Package Name: rubygem-mixlib-authentication
New Branches: f17 f18
Owners:

Comment 8 Gwyn Ciesla 2013-01-17 18:00:04 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-01-23 15:52:39 UTC
rubygem-mixlib-authentication-1.3.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-mixlib-authentication-1.3.0-2.fc18

Comment 10 Fedora Update System 2013-01-23 16:03:40 UTC
rubygem-mixlib-authentication-1.3.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-mixlib-authentication-1.3.0-2.fc17

Comment 11 Fedora Update System 2013-01-24 21:59:18 UTC
rubygem-mixlib-authentication-1.3.0-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Fedora Update System 2013-02-02 04:18:13 UTC
rubygem-mixlib-authentication-1.3.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 13 Fedora Update System 2013-02-02 04:33:44 UTC
rubygem-mixlib-authentication-1.3.0-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.